.error {
    width: 100%;
    margin-top: 0.5rem;
    font-size: 0.95rem;
    color: var(--bs-danger-text);
}

div.dataTables_wrapper div.dataTables_length select,
div.dataTables_wrapper div.dataTables_filter input {
    background-color: #fff;
    border: 1px solid var(--bs-gray-300);
}

div.dataTables_wrapper div.dataTables_length select:focus,
div.dataTables_wrapper div.dataTables_length select:active,
div.dataTables_wrapper div.dataTables_filter input:focus,
div.dataTables_wrapper div.dataTables_filter input:active {
    background-color: #fff;
    border-color: var(--bs-gray-500) !important;
}

.table {
    --bs-table-border-color: var(--bs-gray-300);
}

#laravel_datatable tfoot {
    display: none;
} 

.custom-accordion .accordion-item {
    border-color: #e6e6e6;
}

.custom-accordion .accordion-button {
    background-color: #e6e6e6;
}

#loader {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.8); /* Semi-transparent background */
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    z-index: 9999; /* High z-index to ensure it’s above all other content */
    opacity: 1;
    transition: opacity 0.5s ease-out, visibility 0.5s ease-out; /* Transition for fade-out and visibility */
    visibility: visible;
}

#loader .spinner-border {
    width: 3rem;
    height: 3rem;
    border: 0.25em solid rgba(0, 0, 0, 0.1);
    border-top: 0.25em solid #007bff;
    border-radius: 50%;
    animation: spin 1s linear infinite;
    margin-bottom: 10px; /* Space between spinner and text */
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

#loader .loading-text {
    font-size: 1.2rem;
    color: #333; /* Darker color for better readability */
}

/* Hide loader when content is fully loaded */
body.loaded #loader {
    opacity: 0;
    visibility: hidden;
}
